Reklama
Nepřihlášený uživatel | Zaregistrovat se
 

Téma:

Počítače a Internet

Spravuje:

Medousek

Může vás zajímat



Reklama




spic už jen wtf 
zachovám vlákno:
https://github.com/mattbit/mysql-compat
5 -> 7 na projektu, kde jsem to řešil, bez problémů, pár drobných úprav, jako názvy konstruktorů
padlock Korupce jest základem státu.  
ok, ozvu se do vzkazniku
To se tezko odhaduje bez blizsich informaci. Pokud chce nejake php skripty modernizovat tak muzes jit na php 5.6 nebo 7.x. Problem je ze 5.6 je uz mrtva vec a kdyz ho nasadis tak jsi v temer stejne situaci. Pokud ty skripty chces predelat na php 7.x tak budes muset pravdepodobne resit absenci puvodniho mysql a jeho nahradu za mysqli (jednodussi cesta) nebo PDO. A je otazka jestli tam nemas jeste nejakou jinou specialitku (treba ze skripty koukaji do nejake MSSQL databaze), nebo netrvaji na nejake historicke konfiguraci php, ktera uz neni dostupna. Par webu jsem uz takhle predelaval a pokud autor nebyl prase tak se to da delat docela rychle. Posli pripadne vzkaz pokud budes chtit nejake blizsi info
padlock Korupce jest základem státu.  
dodám, že nejmenovaná identita se do toho už pustila za cenu v jednotkách tisíc Kč, ale teď mi nezvedá telefon a neodpovída na maily. Nicméně ten polotovar lze použít.
padlock Korupce jest základem státu.  
Doufám, že tu nebudu příliš offtopic. Máme letitý web server s pravěkým php, cca 15-20 virtual hosts a potřeboval bych to přiblížit do současnosti. Tedy se zachováním původní funkcionality vytvořit kopletní web (Linux+Apache+PHP), který nebude plný pět let známých zranitelností. Může někdo odhadnout, kolik by taková legrace mohla řádově stát?